Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Apache 2.4 running the wrong MPM.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Philippe23
Tux's lil' helper
Tux's lil' helper


Joined: 20 Dec 2006
Posts: 115
Location: Rome, NY

PostPosted: Tue Mar 22, 2016 2:47 pm    Post subject: Apache 2.4 running the wrong MPM. Reply with quote

On Apache 2.2 I was running mpm_itk via the APACHE2_MPMS setting, but it appears to have been removed and broken into it's own ebuild.[1] I've unmasked and installed www-apache/mpm_itk-2.4.7_p4-r1 and added "-D MPM_ITK" to /etc/conf.d/apache2, but "apache2 -V", mod_status, & mod_info all report "MPM Name: prefork". However, mod_info reports "Server Version: Apache/2.4.18 (Unix) OpenSSL/1.0.2g mpm-itk/2.4.7-04 PHP/5.5.33-pl0-gentoo" and I see mpm_itk.c in there as well, so I'm pretty sure it's getting loaded.

What am I missing? How do I force Apache 2.4 to use a specific MPM?



[1] https://bugs.gentoo.org/show_bug.cgi?id=410451
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum